Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual.workflow
Class RetireAction

    java.lang.Object
      com.bea.content.virtual.workflow.StandardAction
          com.bea.content.virtual.workflow.RetireAction

All Implemented Interfaces
  WorkflowAction, Serializable

    public class RetireAction

extends StandardAction

Sets the workflow status for the current version of the node to the value that's set in the WorkflowActionContext. [getVersionableContent()]

This action sets the current version of the node to `Workflow.RETIRED` status.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.content.virtual.workflow.StandardAction
`DATA_SOURCE, DEBUG`

Constructor Summary
`RetireAction()`

Method Summary
`void` | `execute(WorkflowActionContext context)` Sets the workflow status for the current version of the node to the value that's set in the WorkflowActionContext.

Methods inherited from class com.bea.content.virtual.workflow.StandardAction
`assignNodeToRoles, assignNodeToUser, revertAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RetireAction

    public RetireAction()

Method Detail

### execute

    public void execute(WorkflowActionContext context)
                 throws WorkflowException

  Sets the workflow status for the current version of the node to the value that's set in the WorkflowActionContext. [getVersionableContent()]

  Specified by:
    `execute` in interface `WorkflowAction`
  Overrides:
    `execute` in class `StandardAction`
  Parameters
    `context` - The WorkflowActionContext object
  Throws
    `WorkflowException` - If an exception occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.